<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="http://www.xmethods.net/sd/CurrencyExchangeService.wsdl" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" targetNamespace="http://www.xmethods.net/sd/CurrencyExchangeService.wsdl" name="CurrencyExchangeService" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types />
  <wsdl:message name="getRateRequest">
    <wsdl:part name="country1" type="s:string" />
    <wsdl:part name="country2" type="s:string" />
  </wsdl:message>
  <wsdl:message name="getRateResponse">
    <wsdl:part name="Result" type="s:float" />
  </wsdl:message>
  <wsdl:portType name="CurrencyExchangePortType">
    <wsdl:operation name="getRate">
      <wsdl:input message="tns:getRateRequest" />
      <wsdl:output message="tns:getRateResponse" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="CurrencyExchangeBinding" type="tns:CurrencyExchangePortType">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" style="rpc" />
    <wsdl:operation name="getRate">
      <soap:operation soapAction="" />
      <wsdl:input>
        <soap:body use="encoded" namespace="urn:xmethods-CurrencyExchange" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="encoded" namespace="urn:xmethods-CurrencyExchange" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="CurrencyExchangeService">
    <documentation xmlns="http://schemas.xmlsoap.org/wsdl/">Returns the exchange rate between the two currencies</documentation>
    <wsdl:port name="CurrencyExchangePort" binding="tns:CurrencyExchangeBinding">
      <soap:address location="http://services.xmethods.net:80/soap" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>